curl --request GET \
--url 'https://api.zapier.com/v1/zap-templates?client_id='import requests
url = "https://api.zapier.com/v1/zap-templates?client_id="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.zapier.com/v1/zap-templates?client_id=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 51652,
"steps": [
{
"id": 1,
"uuid": "b9df4eff-f311-44f9-ac54-2901f952c6ac",
"title": "Google Ads",
"slug": "google-ads",
"description": "Google Ads (formerly Google AdWords) is an online advertising platform developed by Google, where advertisers pay to display brief advertisements, service offerings, product listings, video content, and generate mobile application installs within the Google ad network to web users.",
"image": "https://zapier-images.imgix.net/storage/services/4058ec8b47ad751cbd39bd686cf4eab7.png?auto=format%2Ccompress&ixlib=python-3.0.0&q=50",
"hex_color": "4285F4",
"images": {
"url_16x16": "https://zapier-images.imgix.net/storage/services/4058ec8b47ad751cbd39bd686cf4eab7.png?auto=format%2Ccompress&fit=crop&h=16&ixlib=python-3.0.0&q=50&w=16",
"url_32x32": "https://zapier-images.imgix.net/storage/services/4058ec8b47ad751cbd39bd686cf4eab7.png?auto=format%2Ccompress&fit=crop&h=32&ixlib=python-3.0.0&q=50&w=32",
"url_64x64": "https://zapier-images.imgix.net/storage/services/4058ec8b47ad751cbd39bd686cf4eab7.png?auto=format%2Ccompress&fit=crop&h=64&ixlib=python-3.0.0&q=50&w=64",
"url_128x128": "https://zapier-images.imgix.net/storage/services/4058ec8b47ad751cbd39bd686cf4eab7.png?auto=format%2Ccompress&fit=crop&h=128&ixlib=python-3.0.0&q=50&w=128"
},
"api": "GoogleAdsCLIAPI@3.0.0",
"url": "https://zapier.com/apps/google-ads/integrations?utm_medium=partner_api",
"label": "New Campaign"
},
{
"id": 2,
"uuid": "ca83afc5-ee9a-470d-b577-e7f8fd555b67",
"title": "Slack",
"slug": "slack",
"description": "Slack is a platform for team communication: everything in one place, instantly searchable, available wherever you go. Offering instant messaging, document sharing and knowledge search for modern teams.",
"image": "https://zapier-images.imgix.net/storage/services/6cf3f5a461feadfba7abc93c4c395b33_2.png?auto=format%2Ccompress&ixlib=python-3.0.0&q=50",
"hex_color": "510f4d",
"images": {
"url_16x16": "https://zapier-images.imgix.net/storage/services/6cf3f5a461feadfba7abc93c4c395b33_2.png?auto=format%2Ccompress&fit=crop&h=16&ixlib=python-3.0.0&q=50&w=16",
"url_32x32": "https://zapier-images.imgix.net/storage/services/6cf3f5a461feadfba7abc93c4c395b33_2.png?auto=format%2Ccompress&fit=crop&h=32&ixlib=python-3.0.0&q=50&w=32",
"url_64x64": "https://zapier-images.imgix.net/storage/services/6cf3f5a461feadfba7abc93c4c395b33_2.png?auto=format%2Ccompress&fit=crop&h=64&ixlib=python-3.0.0&q=50&w=64",
"url_128x128": "https://zapier-images.imgix.net/storage/services/6cf3f5a461feadfba7abc93c4c395b33_2.png?auto=format%2Ccompress&fit=crop&h=128&ixlib=python-3.0.0&q=50&w=128"
},
"api": "SlackAPI",
"url": "https://zapier.com/apps/slack/integrations?utm_medium=partner_api",
"label": "Send Channel Message"
}
],
"title": "Send messages to Slack channels whenever new Google Ads campaigns launch",
"slug": "send-messages-to-slack-channels-whenever-new-google-ads-campaigns-launch",
"status": "published",
"description_plain": "A new Google Ads campaign can mean the start of your next marketing push, but it can also mean the start of a ton of new sales and service workflows. Zapier gives you a head start on those projects by automatically posting a new message in Slack to a specific channel you choose. Give your teams the heads up they need before your new clients come rolling in!\n",
"description_raw": "A new Google Ads campaign can mean the start of your next marketing push, but it can also mean the start of a ton of new sales and service workflows. Zapier gives you a head start on those projects by automatically posting a new message in Slack to a specific channel you choose. Give your teams the heads up they need before your new clients come rolling in!",
"url": "https://zapier.com/apps/google-ads/integrations/slack/51652/send-messages-to-slack-channels-whenever-new-google-ads-campaigns-launch?utm_medium=partner_api",
"description": "<p>A new Google Ads campaign can mean the start of your next marketing push, but it can also mean the start of a ton of new sales and service workflows. Zapier gives you a head start on those projects by automatically posting a new message in Slack to a specific channel you choose. Give your teams the heads up they need before your new clients come rolling in!</p>\n",
"create_url": "https://api.zapier.com/v1/embed/google-ads/create/51652",
"type": "guided_zap"
}
]{}{}{}{}{}Get Zap Templates
List popular Zap Templates using your app. See our List Zap Templates guide to get started.
Authorizations
See our authentication documentation for how to find your Client ID
Query Parameters
A comma separated list of Zapier Apps to match Zap templates against. Note:
- Your app will always be one of the apps in the template
- The list will return Zap Templates with all the provided apps, not a subset
(Max: 100) Limit the number of Zap templates returned.
The number of Zap templates to skip before beginning to return the Zap templates. The default value is 0, which is the offset of the first item.
Response
The numeric identifier of this Zap Template
The steps this Zap Template are composed of
Show child attributes
Show child attributes
The title of this Zap Template
The shortened slug for this Zap Template
^[-a-zA-Z0-9_]+$The status of this Zap Template
draft- draftpublished- published
draft, published The plain (rendered) description for this Zap Template
The raw description for this Zap Template. May include styling syntax intended to be rendered
The URL for this Zap Template
The HTML description for this Zap Template. Intended to be rendered in a browser
The URL to access to create a Zap from this Zap Template
The type of this Zap Template
Was this page helpful?